## commons-javaflow 0.0~svn20060411

=== debian/changelog ===
commons-javaflow (0.0~svn20060411-5) unstable; urgency=low

  * Change 'maintainers' into 'Maintainers'.
  * Add Build-Depends: libasm2-java; the package is not compatible with asm3.
    (Closes: #587136)
  * Reference bcel's javadoc in the package's javadoc.
  * Switch to source format 3.0.

 -- Torsten Werner <twerner@debian.org>  Fri, 25 Jun 2010 23:23:37 +0200

commons-javaflow (0.0~svn20060411-4) unstable; urgency=low

  * Revert change inadvertently done in -3 for JAR naming (Closes: #562363):
    - restore "commons-javaflow.jar" instead of "javaflow.jar"
    - fix debian/pom.xml artifactId

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 28 Dec 2009 22:23:58 +0100

commons-javaflow (0.0~svn20060411-3) unstable; urgency=low

  * Update my email address
  * Maven POMs:
    - debian/control: add a Build-Depends-Indep dependency on maven-repo-helper
    - debian/rules: use mh_installpoms and mh_installjar
      to install the POM and the jar to the Maven repository
    - debian/pom.xml: Debian pom.xml file as upstream doesn't provide one
    - debian/rules: new get-orig-pom to update debian/pom.xml at new upstream
      release.
  * Bump debhelper version to >= 7
  * Bump Standards-Version 3.8.3 (no changes needed)
  * Install Javadoc API documentation to
    /usr/share/doc/libcommons-javaflow-java/api/

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 12 Dec 2009 22:23:58 +0100

commons-javaflow (0.0~svn20060411-2) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * Upload to unstable as Lenny is now released
  * Bump Standards-Version 3.8.2:
    - Move libcommons-javaflow-java to "java" section
  * Add an empty debian/watch file to document the situation
  * Set Maintainer field to Debian Java Team
  * Add myself as Uploaders
  * Depends on default-jre-headless instead of java-gcj-compat
  * Build-Depends on default-jdk instead of default-jdk-builddep
    because we don't build a native GCJ package.

  [ Torsten Werner ]
  * Add myself to Uploaders.
  * Add missing jars to debian/rules.

 -- Torsten Werner <twerner@debian.org>  Sun, 02 Aug 2009 22:21:45 +0200

commons-javaflow (0.0~svn20060411-1) experimental; urgency=low

  * Initial release. (Closes: #499466)
  * Build-Depend on default-jdk-builddep instead of java-gcj-compat-dev.

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Sat, 25 Oct 2008 23:44:58 +0200
