=== debian/control ===
Source: commons-javaflow
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>, Torsten Werner <twerner@debian.org>
Standards-Version: 3.8.3
Build-Depends: default-jdk, ant, debhelper (>= 7), cdbs
Build-Depends-Indep: libcommons-logging-java, libcommons-jci-java, libbcel-java,
 maven-repo-helper, libasm2-java, libbcel-java-doc
Homepage: http://commons.apache.org/sandbox/javaflow/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/commons-javaflow
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/commons-javaflow

Package: libcommons-javaflow-java
Architecture: all
Depends: ${misc:Depends}, default-jre-headless | java2-runtime-headless, libcommons-logging-java, libcommons-jci-java, libbcel-java
Description: Java implementation of Continuations concept
 Commons Javaflow is a pure Java implementation of the Continuations concept.
 .
 For more information about Continuation, you can have a look on
 <http://en.wikipedia.org/wiki/Continuation> or
 <http://www.artima.com/lejava/articles/continuations.html>
 .
 To use Javaflow in your program, Javaflow needs to enhance its Java byte code:
 - statically, using the Javaflow Ant task as a part of your build process
 - dynamically, at runtime, by using Javaflow's ContinuationClassLoader.

Package: libcommons-javaflow-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libbcel-java-doc
Suggests: libcommons-javaflow-java
Description: Java implementation of Continuations concept - documentation
 Commons Javaflow is a pure Java implementation of the Continuations concept.
 .
 For more information about Continuation, you can have a look on
 <http://en.wikipedia.org/wiki/Continuation> or
 <http://www.artima.com/lejava/articles/continuations.html>
 .
 To use Javaflow in your program, Javaflow needs to enhance its Java byte code:
 - statically, using the Javaflow Ant task as a part of your build process
 - dynamically, at runtime, by using Javaflow's ContinuationClassLoader.
 .
 This package contains Javadoc API of Commons Javaflow.
