## commons-javaflow 0.0~svn20151101

=== debian/changelog ===
commons-javaflow (0.0~svn20151101-2) unstable; urgency=medium

  * Team upload.
  * Build-Depend on ant.
    Thanks to Lucas Nussbaum for the report. (Closes: #830435)

 -- Markus Koschany <apo@debian.org>  Mon, 18 Jul 2016 04:07:16 +0200

commons-javaflow (0.0~svn20151101-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-fields: Use https.
  * Switch from cdbs to dh sequencer.
  * New build system: Switch to Maven and use maven-debian-helper.
  * Use compat level 9 and require debhelper >= 9.
  * Switch to libasm-java. (Closes: #801321)
  * Add libcommons-io-java to Build-Depends. Remove libbcel-java.
  * Use Maven substvars instead of manually depending on packages.
  * Do not depend on default-jre-headless | java2-runtime-headless.
  * Update package description.
  * Remove debian/build.xml and debian/pom.xml.
  * Use debian/copyright format 1.0.

 -- Markus Koschany <apo@debian.org>  Fri, 22 Apr 2016 10:05:13 +0200
