=== debian/control ===
Source: commons-javaflow
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Damien Raude-Morvan <drazzib@debian.org>,
 Torsten Werner <twerner@debian.org>
Build-Depends:
 ant,
 debhelper (>= 9),
 default-jdk,
 default-jdk-doc,
 junit (>= 3.8.2),
 libasm-java,
 libasm-java-doc,
 libcommons-io-java,
 libcommons-io-java-doc,
 libcommons-jci-java,
 libcommons-jci-java-doc,
 libcommons-logging-java,
 libcommons-logging-java-doc,
 libmaven-javadoc-plugin-java,
 maven-debian-helper (>= 1.5)
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/commons-javaflow
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-java/trunk/commons-javaflow
Homepage: http://commons.apache.org/sandbox/javaflow/

Package: libcommons-javaflow-java
Architecture: all
Depends:
 ${maven:Depends},
 ${misc:Depends}
Suggests:
 libcommons-javaflow-java-doc,
 ${maven:OptionalDepends}
Description: Apache Commons Javaflow (Sandbox)
 Commons Javaflow is a pure Java implementation of the Continuations concept.
 .
 For more information about Continuation, you can have a look on
 <http://en.wikipedia.org/wiki/Continuation> or
 <http://www.artima.com/lejava/articles/continuations.html>
 .
 To use Javaflow in your program, Javaflow needs to enhance its Java byte code:
 - statically, using the Javaflow Ant task as a part of your build process
 - dynamically, at runtime, by using Javaflow's ContinuationClassLoader.

Package: libcommons-javaflow-java-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Recommends:
 ${maven:DocDepends},
 ${maven:DocOptionalDepends}
Suggests:
 libcommons-javaflow-java
Description: Documentation for Apache Commons Javaflow (Sandbox)
 Commons Javaflow is a pure Java implementation of the Continuations concept.
 .
 For more information about Continuation, you can have a look on
 <http://en.wikipedia.org/wiki/Continuation> or
 <http://www.artima.com/lejava/articles/continuations.html>
 .
 To use Javaflow in your program, Javaflow needs to enhance its Java byte code:
 - statically, using the Javaflow Ant task as a part of your build process
 - dynamically, at runtime, by using Javaflow's ContinuationClassLoader.
 .
 This package contains the API documentation of libcommons-javaflow-java.
