=== debian/watch ===
# This should work but unfortunately upstream does not tag releases.
#version=3
#opts="uversionmangle=s/-(alpha|beta|rc)(-)?/~$1$2/" \
#  http://svn.apache.org/repos/asf/commons/sandbox/javaflow/tags/ \
#  commons-javaflow-(\d.*)/ debian debian/orig-tar.sh
